# Uses of Enum
org.eclipse.mat.inspections.osgi.BundleRegistryQuery.Grouping

Packages that use BundleRegistryQuery.Grouping
Package
Description
org.eclipse.mat.inspections.osgi
These are queries for examining OSGi bundles.

## Uses of BundleRegistryQuery.Grouping in org.eclipse.mat.inspections.osgi

Fields in org.eclipse.mat.inspections.osgi declared as BundleRegistryQuery.Grouping
Modifier and Type
Field
Description
`BundleRegistryQuery.Grouping`
BundleRegistryQuery.`groupBy`
Methods in org.eclipse.mat.inspections.osgi that return BundleRegistryQuery.Grouping
Modifier and Type
Method
Description
`BundleRegistryQuery.Grouping`
BundleRegistryQuery.BundleTreeResult.`getGroupBy()`
`BundleRegistryQuery.Grouping`
BundleRegistryQuery.ExtensionTreeResult.`getGroupBy()`
`BundleRegistryQuery.Grouping`
BundleRegistryQuery.ServicesTreeResult.`getGroupBy()`
`static BundleRegistryQuery.Grouping`
BundleRegistryQuery.Grouping.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BundleRegistryQuery.Grouping[]`
BundleRegistryQuery.Grouping.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.